Please add support for SASL authentication over IRC
Description

| would really love to switch to Quassel. However, the lack of SASL authentication support makes me unable to do so.
| tried to write a plugin adding support for it, but discovered that there are interfaces implemented.

If you need any help understanding the SASL implementation, let me know. There is code to implement SASL PLAIN in Conspire, at
http://hg.atheme.org/conspire/conspire/file/tip/src/common/sasl.c which may be helpful.

Note that freenode has recently implemented SASL on their network, so there are real networks out there using this specification.
Infact, it is required in order to use TOR now.

History

#1 - 01/31/2010 09:28 PM - nenolod
A detailed spec is available at http://hg.atheme.org/atheme/atheme/file/120dcbec1965/doc/SASL

#2 - 02/01/2010 05:08 AM - stitch

- File quassel-sasl.patch added

I've created a patch which introduces SASL support. It only supports SASL PLAIN. | have also updated the DB schemas however I'm not 100% sure
about any migration, so please look at that (and advise where | have went wrong)

#3 - 02/05/2010 05:33 PM - nenolod

<al> in a nutshell: the sqlitestorage.cpp changes need to be applied to postgresqglstorage.cpp too i think

#4 - 02/12/2010 10:53 PM - stitch
- File quassel-sasl.diff added

I've revised this patch, the database schema's should be correct, and the postgrestorage.cpp was modified with the changes.

#5 - 02/15/2010 12:55 PM - dalbers

- Status changed from New to Resolved
- Assignee set to dalbers

- Target version set to 0.6.0

- % Done changed from 0 to 100

Fixed as of cf721fb75a7525b03c0086f98314b828f5322001

#6 - 01/17/2020 08:53 AM - nutam11

https://upleaks.cn/burger-king-log-in/
So, guys, | would like to tell that your employee portal is the difference then the customer cause it is full of security to keep success and safe your
profile data.

Files
quassel-sasl.patch 27.7 KB 02/01/2010 stitch
quassel-sasl.diff 60.6 KB 02/12/2010 stitch
